package kernel.ui;

/**
	A VirtualTermWriter is a TermWriteable that can be enabled or disabled.
	When disabled, it will not write to its target. When enabled, it will.
**/
interface VirtualTermWriter extends TermWriteable {
	public function enable():Void;
	public function disable():Void;
	public function isEnabled():Bool;
	public function setTarget(newTarget:TermWriteable):Void;
}
